Subject: [bug#51998] [PATCH] gnu: Add guile-gitlab

From: [email-masked] (Artyom V. Poptsov)
Date: Sun, 28 Nov 2021 21:07:27 +0300

Hello Mathieu,

> I edited a bit the package definition:

> * Added bash-minimal to the inputs as suggested by "guix lint".
> * Moved guile-lib to the inputs.
> * Added json and tls to the wrap so that they can always be found.
> * Wrapped a few lines.

> and pushed as a0352562505cfced63ca415e2bb4cbce29f7fc35.

Thanks for helping me with this package!  I'm looking forward to package
other projects for GNU Guix in the near future.

> Note that I also have the following error on two different Gitlab
> servers:

that's strange as I don's see this error; tested 'gitlab-cli' on two
servers as well -- one where I have admin rights and gitlab.com with a
regular non-admin token.

I think I need to investigate the problem further, but for now I fixed
another bug that lead to 'guile-cli' fails if a user passed non-existing
command (like "projects" instead of "project".)

So here's a patch attached that updates Guile-GitLab to 0.2.1 with this
bugfix.

- Artyom

From c932be626bdfc0c74d4d366fd0fe4a65de200a7f Mon Sep 17 00:00:00 2001
From: "Artyom V. Poptsov" <[email-masked]>
Date: Sun, 28 Nov 2021 20:54:45 +0300
Subject: [PATCH] gnu: guile-gitlab: Update to 0.2.1

* gnu/packages/guile-xyz.scm (guile-gitlab): Update to 0.2.1.
---
 gnu/packages/guile-xyz.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/guile-xyz.scm b/gnu/packages/guile-xyz.scm
index 841fd49f18..658f810be8 100644
--- a/gnu/packages/guile-xyz.scm
+++ b/gnu/packages/guile-xyz.scm
@@ -4800,7 +4800,7 @@ high-level API for network management that uses rtnetlink.")
 (define-public guile-gitlab
   (package
     (name "guile-gitlab")
-    (version "0.2.0")
+    (version "0.2.1")
     (source
      (origin
        (method git-fetch)
@@ -4810,7 +4810,7 @@ high-level API for network management that uses rtnetlink.")
        (file-name (string-append name "-" version "-checkout"))
        (sha256
         (base32
-         "1yq8w507vw9n7f626sbnsk8prsdk337d6acr7f9k3j500lhlvxj5"))))
+         "0srkmchd4kmfa7q65r6fdzwklhgdlck1ll0s7smzs8ddjdgz2lwm"))))
     (build-system gnu-build-system)
     (arguments
      `(#:modules (((guix build guile-build-system)
-- 
2.25.1

-- 
Artyom "avp" Poptsov <[email-masked]>
Home page: https://memory-heap.org/~avp/
CADR Hackerspace co-founder: https://cadrspace.ru/
GPG: D0C2 EAC1 3310 822D 98DE  B57C E9C5 A2D9 0898 A02F